Issue 119863 - Animation:Spin 360 degree Clockwise effect is not same as MS office
Animation:Spin 360 degree Clockwise effect is not same as MS office
Status: CLOSED FIXED
Product: Impress
Classification: Application
Component: save-export
3.4.0
PC All
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks: 120823
  Show dependency treegraph
 
Reported: 2012-06-07 08:08 UTC by Terry Yang
Modified: 2013-07-12 16:17 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Sample file (873.50 KB, application/vnd.ms-powerpoint)
2012-06-07 08:08 UTC, Terry Yang
no flags Details
Minimized example (73.50 KB, application/vnd.ms-powerpoint)
2012-09-27 10:11 UTC, Armin Le Grand
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Terry Yang 2012-06-07 08:08:56 UTC
Created attachment 78112 [details]
Sample file

Open sample file, check every slide in AOO.
2 Bug:
In slide 2, 2 picture overlap with the Text in AOO.
In Slide 3, the cirque running way is different with MS office.

Then saved the sample file to another .ppt file, check slide 1
The Line for Y axis direction changed.
Comment 1 zhao xia 2012-06-20 06:41:30 UTC
This defect report three issues, it's better split them.
Comment 2 Armin Le Grand 2012-09-24 08:57:10 UTC
ALG: +1, please split.
Comment 3 Terry Yang 2012-09-26 07:00:59 UTC
Check with AOO 3.5 Trunk build r1387482

There only 1 issue repro, change the bug title and steps
Open sample file, check every slide in AOO.

Defect:
In Slide 3, the cirque running way Spin 360 degree Clockwise effect is not same as MS office.
Comment 4 Armin Le Grand 2012-09-26 12:36:26 UTC
ALG: I cannot see any difference on slide3. Do you talk about the small circles with arrows? They all run the same direction in current trunk version.
If there is a difference, please reduce the example to slide3 and the shape in question. Thanks in advance!
Comment 5 Terry Yang 2012-09-27 02:00:43 UTC
(In reply to comment #4)
> ALG: I cannot see any difference on slide3. Do you talk about the small
> circles with arrows? They all run the same direction in current trunk
> version.
> If there is a difference, please reduce the example to slide3 and the shape
> in question. Thanks in advance!

Yes I talk about the circles with arrows, in MS Office it will run spinning around the circles center point,  but in AOO it will run spinning around the border point of the circles.
Comment 6 Armin Le Grand 2012-09-27 10:04:12 UTC
ALG: Ah, sorry, I overlooked that it's about the animation.
Checked with various combinations in AOO: When using fresh created, unrotated object and assigning spin, it rotates aroud it's center. When rotating the object and assigning spin, it will rotate around it's bottom-right. Seems to be some strange error as soon as any of the objects involved is rotated (in the bugdoc, each circle is a group object with six single objects).
Comment 7 Armin Le Grand 2012-09-27 10:11:35 UTC
Created attachment 79658 [details]
Minimized example

ALG: Added example showing the effect; both objects are rotated around their center in PPT, the rotated one not in AOO. The center of rotation gets wrongly calculated in animation module. Hint: When rotating exactly 180 degree, the rotation is around bottom-right of object boundrect (optical conclusion, not debugged).
Comment 8 Armin Le Grand 2012-09-27 12:01:51 UTC
ALG: Found: Indeed, the center of rotation is wrong. Corrected and committed this.
Comment 9 SVN Robot 2012-10-19 08:43:02 UTC
"alg" committed SVN revision 1399997 into branches/alg/aw080:
#119863# added that patch to aw080 due to later possible conflicts
Comment 10 Li Feng Wang 2012-11-09 03:32:03 UTC
Verified pass with build r14045130.